### Hierarchy

- RouteLink

## Index

### Properties

- action
- actionParams
- data
- dataJson
- el
- registerRouteLink
- routeLinkChange
- state
- url

### Methods

- componentDidLoad
- componentDidUpdate
- postRender
- render

## Properties

### action

action: string

- Defined in router/route-link/route-link.tsx:13

### actionParams

actionParams: string

- Defined in router/route-link/route-link.tsx:14

### data

data: any

- Defined in router/route-link/route-link.tsx:9

### dataJson

dataJson: string

- Defined in router/route-link/route-link.tsx:11

### el

el: HTMLElement

- Defined in router/route-link/route-link.tsx:8

### registerRouteLink

registerRouteLink: EventEmitter

- Defined in router/route-link/route-link.tsx:29

### routeLinkChange

routeLinkChange: EventEmitter

- Defined in router/route-link/route-link.tsx:30

### state

state: any

- Defined in router/route-link/route-link.tsx:10

### url

url: string

- Defined in router/route-link/route-link.tsx:12

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in router/route-link/route-link.tsx:16

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in router/route-link/route-link.tsx:20

  #### Returns void

### postRender

- postRender(): void

- - Defined in router/route-link/route-link.tsx:25

  #### Returns void

### render

- render(): any

- - Defined in router/route-link/route-link.tsx:32

  #### Returns any